Gecode::Gist::TextOutputI Class Reference

Window with associated ostream, used for inspecting Gist nodes. More...

`#include <textoutput.hh>`

## Public Member Functions

| TextOutputI (const std::string &name, QWidget *parent=0)
| Constructor.
| ~TextOutputI (void)
| Destructor.
std::ostream & | getStream (void)
| Return stream that prints to the text display.
void | insertHtml (const QString &s)
| Add html string s to the output.
void | flush (void)
| Flush output.

## Protected Slots

void | changeStayOnTop (void)

## Detailed Description

Window with associated ostream, used for inspecting Gist nodes.

Definition at line 42 of file textoutput.hh.

## Constructor & Destructor Documentation

## TextOutputI()

Gecode::Gist::TextOutputI::TextOutputI | ( | const std::string & | name,
|  | QWidget * | parent = 0 )

Constructor.

Definition at line 84 of file textoutput.cpp.

## ~TextOutputI()

Gecode::Gist::TextOutputI::~TextOutputI | ( | void |  | ) |

Destructor.

Definition at line 138 of file textoutput.cpp.

## Member Function Documentation

## getStream()

std::ostream & Gecode::Gist::TextOutputI::getStream | ( | void |  | ) |

Return stream that prints to the text display.

Definition at line 143 of file textoutput.cpp.

## insertHtml()

void Gecode::Gist::TextOutputI::insertHtml | ( | const QString & | s | ) |

Add html string s to the output.

Definition at line 153 of file textoutput.cpp.

## flush()

void Gecode::Gist::TextOutputI::flush | ( | void |  | ) |

Flush output.

Definition at line 148 of file textoutput.cpp.

## changeStayOnTop

void Gecode::Gist::TextOutputI::changeStayOnTop | ( | void |  | ) |

protected slot

Definition at line 161 of file textoutput.cpp.

The documentation for this class was generated from the following files:

- gecode/gist/textoutput.hh
- gecode/gist/textoutput.cpp